org.eclipse.graphiti

## Enum DiagramScrollingBehavior

- java.lang.Object
- - java.lang.Enum<DiagramScrollingBehavior>
  - - org.eclipse.graphiti.DiagramScrollingBehavior

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DiagramScrollingBehavior>

    public enum DiagramScrollingBehavior
    extends java.lang.Enum<DiagramScrollingBehavior>

The Enum DiagramScrollingBehavior.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GEF_DEFAULT` The GEF default behavior.
`SCROLLBARS_ALWAYS_VISIBLE` The scrollbars are always visible.

### Method Summary

All Methods Static Methods Concrete Methods
`static DiagramScrollingBehavior` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DiagramScrollingBehavior[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GEF_DEFAULT

    public static final DiagramScrollingBehavior GEF_DEFAULT

The GEF default behavior.

#### SCROLLBARS_ALWAYS_VISIBLE

    public static final DiagramScrollingBehavior SCROLLBARS_ALWAYS_VISIBLE

The scrollbars are always visible.

### Method Detail

#### values

    public static DiagramScrollingBehavior[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DiagramScrollingBehavior c : DiagramScrollingBehavior.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DiagramScrollingBehavior valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null